# $Revision: 1.36 $, $Date: 2010/10/23 00:55:29 $
# Conditional build:
%bcond_without	javadoc		# don't build javadoc
%include	/usr/lib/rpm/macros.java

%define		srcname	commons-daemon
Summary:	Commons Daemon - controlling of Java daemons
Summary(pl.UTF-8):	Commons Daemon - kontrolowanie demonów w Javie
Name:		java-commons-daemon
Version:	1.0.3
Release:	1
License:	Apache v2.0
Group:		Libraries/Java
Source0:	http://www.apache.net.pl/commons/daemon/source/commons-daemon-%{version}-src.tar.gz
# Source0-md5:	d39c01c625df709a4943cd1007b5d834
Patch0:		jakarta-commons-daemon-link.patch
URL:		http://commons.apache.org/daemon/
BuildRequires:	ant >= 1.4.1
BuildRequires:	automake
BuildRequires:	docbook-dtd412-xml
BuildRequires:	java-junit >= 3.7
BuildRequires:	jdk
BuildRequires:	jpackage-utils
BuildRequires:	rpm-javaprov
BuildRequires:	rpmbuild(macros) >= 1.300
BuildRequires:	xmlto >= 0:0.0.18-1
Requires:	java-commons-collections >= 2.0
Requires:	java-commons-logging >= 1.0
Requires:	jpackage-utils
Obsoletes:	jakarta-commons-daemon
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Daemon Component contains a set of Java and native code, including
a set of Java interfaces applications must implement and Unix native
code to control a Java daemon from a Unix operating system.

%description -l pl.UTF-8
Komponent Daemon zawiera zbiór kodu w Javie i natywnego, zawierającego
zbiór interfejsów w Javie, które muszą być zaimplementowane w
aplikacjach oraz natywny kod uniksowy kontrolujący demony w Javie w
systemie Unix.

%package -n jsvc
Summary:	Commons Daemon jsvc utility
Summary(pl.UTF-8):	Narzędzie jsvc Commons Daemon
Group:		Applications
Requires:	%{name} = %{version}-%{release}

%description -n jsvc
Jsvc is a set of libraries and applications for making Java
applications run on UNIX more easily.

%description -n jsvc -l pl.UTF-8
Jsvc jest zestawem bibliotek i aplikacji które ułatwiają uruchamianie
aplikacji Javy.

%package javadoc
Summary:	Commons Daemon documentation
Summary(pl.UTF-8):	Dokumentacja do Commons Daemon
Group:		Documentation
Requires:	jpackage-utils
Obsoletes:	jakarta-commons-daemon-doc
Obsoletes:	jakarta-commons-daemon-javadoc

%description javadoc
Commons Daemon documentation.

%description javadoc -l pl.UTF-8
Dokumentacja do Commons Daemon.

%prep
%setup -q -n %{srcname}-%{version}-src

%patch0 -p1

%build
# Java part
required_jars="junit"
CLASSPATH=$(build-classpath $required_jars)
export CLASSPATH
%ant jar %{?with_javadoc:javadoc}

# native part
cd src/native/unix
cp -f /usr/share/automake/config.sub support
%configure \
	--with-java=%{java_home}
%{__make}
refentry2man < man/jsvc.1.xml > man/jsvc.1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_javadir}

# jars
cp -a dist/%{srcname}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{srcname}-%{version}.jar
ln -s %{srcname}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{srcname}.jar

# javadoc
%if %{with javadoc}
install -d $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
cp -a dist/docs/* $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
ln -s %{srcname}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{srcname} # ghost symlink
%endif

install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}
install src/native/unix/jsvc $RPM_BUILD_ROOT%{_bindir}
cp -a src/native/unix/man/jsvc.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
ln -nfs %{srcname}-%{version} %{_javadocdir}/%{srcname}

%files
%defattr(644,root,root,755)
%doc PROPOSAL.html RELEASE-NOTES.txt README
%{_javadir}/*.jar

%files -n jsvc
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/jsvc
%{_mandir}/man1/jsvc.1*

%if %{with javadoc}
%files javadoc
%defattr(644,root,root,755)
%{_javadocdir}/%{srcname}-%{version}
%ghost %{_javadocdir}/%{srcname}
%endif

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: java-commons-daemon.spec,v $
Revision 1.36  2010/10/23 00:55:29  pawelz
- up to 1.0.3
- prebuilt binaries are no longer packaged

Revision 1.35  2010/05/18 22:55:32  sparky
- BR: docbook-dtd412-xml

Revision 1.34  2010/05/18 22:38:33  pawelz
- remove prebuilt binaries

Revision 1.33  2010/05/18 22:32:50  pawelz
- realy split

Revision 1.32  2010/05/18 22:27:15  pawelz
- split native part into -n jsvc subpackage.

Revision 1.31  2010/05/18 22:18:51  pawelz
- fixed %install and %files

Revision 1.30  2010/05/18 22:16:07  pawelz
- %prep and patch0 updated for 1.0.2

Revision 1.29  2010/05/18 22:07:51  pawelz
- up to 1.0.2
- updated deps
- dropped P: (old package names)

Revision 1.28  2010/04/23 00:02:09  pawelz
- Don't force specific jdk.

Revision 1.27  2009/05/18 10:02:09  pawelz
- JDK bconds
- simplified (removed SHELL=/bin/sh and -Dbuild.compiler hacks)

Revision 1.26  2009/02/12 16:39:52  pawelz
- unified %%build
- more %%docs
- install javadoc in correct dir
- build with java-gcj-compat-devel
- do not R jre
- rel 5

Revision 1.25  2008/12/25 20:12:57  pawelz
- new source url

Revision 1.24  2008/12/25 20:09:13  pawelz
- it is no longer part of Jakarta project

Revision 1.23  2008/12/25 17:50:08  pawelz
- s/jakarta/java/ in Requires:
- added Provides/Obsoletes old name in subpackage

Revision 1.22  2008/11/23 23:29:25  glen
- rename to java-commons-daemon.spec

Revision 1.21  2008/02/09 21:00:47  qboosh
- unified License format

Revision 1.20  2008-01-01 23:33:38  glen
- rel 4

Revision 1.19  2007-12-08 13:46:33  glen
- jsvc added manual page; rel 3

Revision 1.18  2007-12-08 13:29:29  glen
- simplify install

Revision 1.17  2007-12-07 23:51:47  glen
- unify java package
- version in license
- fix java home dir in native part building

Revision 1.16  2007-08-25 18:45:07  qboosh
- added link patch
- "jdk" cap already includes JNI headers, so no need to BR any specific VM headers
  (and it builds with java-sun 1.5/1.6 without jamvm-devel)

Revision 1.15  2007/08/20 21:09:25  blues
- BR

Revision 1.14  2007/04/09 21:34:37  glen
- Group Documentation for -javadoc

Revision 1.13  2007/04/09 21:05:57  glen
- unify java package

Revision 1.12  2007/02/13 08:06:35  glen
- tabs in preamble

Revision 1.11  2007/02/12 00:48:57  baggins
- converted to UTF-8

Revision 1.10  2006/05/19 11:28:19  jajcus
- s/jakarta-ant/ant/ in BR

Revision 1.9  2006/05/15 10:54:16  ankry
- cosmetics

Revision 1.8  2005/08/28 16:05:27  qboosh
- updated to 1.0.1

Revision 1.7  2005/05/08 17:10:19  qboosh
- updated to 1.0, removed obsolete nobat patch

Revision 1.6  2004/12/14 16:59:56  baggins
- DON'T hardcode java paths!

Revision 1.5  2004/07/15 14:35:03  pluto
- config.sub refreshed.
- TODO added.
- %{_javadir}.

Revision 1.4  2003/05/28 12:59:13  malekith
- massive attack: source-md5

Revision 1.3  2003/05/25 05:49:05  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2003/03/26 10:17:17  qboosh
- enhanced descriptions and dependencies
- build native part (jsvc), no longer noarch
- added nobat patch, removed hack

Revision 1.1  2003/03/10 20:13:33  misiek
- initial pld release
